#include "..\script_component.hpp"

/*
 * Function: forge_client_admin_fnc_adminRefresh
 * Author: IDSolutions
 *
 * [Description]
 * Admin Refresh Menu
 *
 * Arguments:
 * None
 *
 * Return Value:
 * None
 *
 * Examples:
 * None
 *
 * Public: Yes
 */

params [["_condition", "", [""]], ["_amount", 0, [0]]];

private _store = missionNamespace getVariable ["FORGE_ORG_STORE_REG", createHashMap];
private _org = _store call ["getOrg", []];

if (isNil "_org") exitWith { ["You are not in an organization!", "warning", 3] call EFUNC(misc,notify) };

private _orgFunds = _org get "funds";

private _newFunds = 0;
private _dialog = findDisplay 202303;
private _list = _dialog displayCtrl 2023001;

switch (_condition) do {
	case ("deduct"): {
		_newFunds = _orgFunds - _amount;
		ctrlSetText [2023002, format ["$%1", (_newFunds call EFUNC(misc,formatNumber))]];
	};
	case ("advance"): {
		_newFunds = _orgFunds + _amount;
		ctrlSetText [2023002, format ["$%1", (_newFunds call EFUNC(misc,formatNumber))]];
	};
	default {
		lbClear _list;

		{
			if (str (side _x) == str (playerSide)) then {
				private _name = name (_x);
				private _defaultPaygrade = "E1";
				private _paygrade = GETVAR(_x,FORGE_PayGrade,_defaultPaygrade);
				private _index = _list lbAdd format["%1 - %2", _name, _paygrade];

				_list lbSetData [_index, name (_x)];
			};
		} forEach playableUnits;

		lbSetCurSel [2023001, 0];
		ctrlSetText [2023005, ""];
		ctrlSetText [2023006, ""];
	};
};

lbClear _list;

{
	if (str (side _x) == str (playerSide)) then {
		private _name = name (_x);
		private _defaultPaygrade = "E1";
		private _paygrade = GETVAR(_x,FORGE_PayGrade,_defaultPaygrade);
		private _index = _list lbAdd format["%1 - %2", _name, _paygrade];

		_list lbSetData [_index, name (_x)];
	};
} forEach playableUnits;

lbSetCurSel [2023001, 0];
ctrlSetText [2023005, ""];
ctrlSetText [2023006, ""];